Create S3 credential

Creates an access key pair. The secret is returned only once. Requires scope: object-storage.write.

Authentication

AuthorizationBearer

IBEE platform API token, for example: ibee_live_xxx.

Query parameters

workspace_idstringRequired
The workspace ID to scope this request to.

Request

This endpoint expects an object.
namestringOptional1-128 charactersDefaults to Default Key
permission_typestringOptionalDefaults to admin_rw
bucket_scopeenumOptionalDefaults to all
allowed_bucketslist of stringsOptional

Response

Credential created successfully.
access_key_idstring
namestring
statusenum
created_atdatetime
secret_access_keystring
Returned once at creation time.
project_idstring
last_used_atdatetime or null

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error